<?php
include("connect.php");
include("login_cookies.php");

$tid = date("H:i:s d/m - Y");

while($admin = mysql_fetch_array($db_admin)) {

if ($_COOKIE["pass"] == md5($admin["kodeord"])) {

 if ($admin["admin"] == "1" || $admin["admin"] == "2") {

	if ($admin["exist"] == "1") {

if ($_GET[udgiv] == "true" && isset($_GET[id])) {

mysql_query("UPDATE `pytox_artikler` SET `udgivet` = '1', `time` = '{$tid}' WHERE `id` LIKE '{$_GET[id]}' LIMIT 1");

header("Location: index.php?site=Admin&message=artikeludgivet");

} else if ($_GET[afvis] == "true" && isset($_GET[id])) {

mysql_query("UPDATE `pytox_artikler` SET `show` = '0' WHERE `id` LIKE '{$_GET[id]}' LIMIT 1");

header("Location: index.php?site=Admin&message=correctlyafvis");

} else if ($_GET[ret] == "true" && isset($_GET[id])) {

$rettende = mysql_query("SELECT * FROM `pytox_artikler` WHERE `id` LIKE '{$_GET[id]}' LIMIT 1");

while($ret = mysql_fetch_array($rettende)) {
?>
<strong><?php print $ret[overskrift]; ?></strong>
<br />
<i><?php print $ret[brodtekst]; ?></i>
<br />
<br />
<?php print $ret[artikel]; ?>
<br />
<br />
<i><a href="?site=Com.users&user=<?php print $ret[forfatter]; ?>"><?php print $ret[forfatter]; ?></a></i>
<br />
<hr />
<br />
<form action="?site=Waitinglist&retter=true&submit=true&id=<?php print $_GET[id];?>" method="post">
Overskrift: <input type="text" name="header" value="<?php print $ret[overskrift]; ?>" />
<br />
Brødtekst: <i>(Kort om artiklen, "Appetit vækker")</i>
<br />
<textarea name="brodtekst" cols="30" rows="7"><?php print $ret[brodtekst]; ?></textarea>
<br />
Artiklen:
<br />
<textarea name="artiklen" cols="70" rows="18"><?php print $ret[artikel]; ?></textarea>
<br />
Forfatter: <input type="text" name="author" value="<?php print $ret[forfatter];?>" /> <i>MÅ IKKE RETTES!</i>
<br />
<br />
<input type="submit" name="submit" value="Ret!" class="submit" />
</form>
<?php
}

} else if ($_GET[retter] == "true" && $_GET[submit] == "true" && isset($_GET[id])) {

if ($_POST[header] == "" || $_POST[artiklen] == "" || $_POST[brodtekst] == "" || $_POST[author] == "") {
header("Location: index.php?message=failure&errorid=27173");
} else {

$erstattes = array("Ø", "ø", "Å", "å", "Æ", "æ");

$replace["header"] = str_replace("Ø", "&Oslash;", $_POST["header"]);
$replace["header"] = str_replace("ø", "&oslash;", $replace["header"]);
$replace["header"] = str_replace("Å", "&Aring;", $replace["header"]);
$replace["header"] = str_replace("å", "&aring;", $replace["header"]);
$replace["header"] = str_replace("Æ", "&Aelig;", $replace["header"]);
$replace["header"] = str_replace("æ", "&aelig;", $replace["header"]);

$replace["artiklen"] = str_replace("Ø", "&Oslash;", $_POST["artiklen"]);
$replace["artiklen"] = str_replace("ø", "&oslash;", $replace["artiklen"]);
$replace["artiklen"] = str_replace("Å", "&Aring;", $replace["artiklen"]);
$replace["artiklen"] = str_replace("å", "&aring;", $replace["artiklen"]);
$replace["artiklen"] = str_replace("Æ", "&Aelig;", $replace["artiklen"]);
$replace["artiklen"] = str_replace("æ", "&aelig;", $replace["artiklen"]);

$replace["brodtekst"] = str_replace("Ø", "&Oslash;", $_POST["brodtekst"]);
$replace["brodtekst"] = str_replace("ø", "&oslash;", $replace["brodtekst"]);
$replace["brodtekst"] = str_replace("Å", "&Aring;", $replace["brodtekst"]);
$replace["brodtekst"] = str_replace("å", "&aring;", $replace["brodtekst"]);
$replace["brodtekst"] = str_replace("Æ", "&Aelig;", $replace["brodtekst"]);
$replace["brodtekst"] = str_replace("æ", "&aelig;", $replace["brodtekst"]);


mysql_query("UPDATE `pytox_artikler` SET `show` = '1', `udgivet` = '0', `overskrift` = '$replace[header]', `artikel` = '$replace[artiklen]', `brodtekst` = '$replace[brodtekst]', `forfatter` = '$_POST[author]' WHERE `id` LIKE '{$_GET[id]}' LIMIT 1");

print "Artiklen er rettet og klar til udgivelse!";

setcookie("test", $_POST[artiklen], time()+10000);


}

} else {

$ventende = mysql_query("SELECT * FROM `pytox_artikler` WHERE `udgivet` LIKE '0' AND `show` LIKE '1' ORDER BY `id` DESC");

if (mysql_num_rows($ventende) == 0) {
print "Der er ingen ventende artikler!";
} else {

while($waiting = mysql_fetch_array($ventende)) {

?>
<strong><?php print $waiting[overskrift];?></strong> - <a href="?site=Waitinglist&udgiv=true&id=<?php print $waiting[id];?>">Udgiv</a> - <a href="?site=Waitinglist&ret=true&id=<?php print $waiting[id];?>">Ret/Vis</a> - <a href="?site=Waitinglist&afvis=true&id=<?php print $waiting[id];?>">Afvis</a>
<br />
<br />
<?php
}
}
}

	} else {
	header("Location: index.php?message=failure&errorid=60065");
	}

 }

}

}
?>